!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

CPP=cl.exe
RSC=rc.exe

OUTDIR=.
INTDIR=.
# Begin Custom Macros
OutDir=.
# End Custom Macros

ALL : "$(OUTDIR)\Bison.exe"


CLEAN :
	-@erase "$(INTDIR)\closure.obj"
	-@erase "$(INTDIR)\complain.obj"
	-@erase "$(INTDIR)\conflicts.obj"
	-@erase "$(INTDIR)\derives.obj"
	-@erase "$(INTDIR)\files.obj"
	-@erase "$(INTDIR)\getargs.obj"
	-@erase "$(INTDIR)\gram.obj"
	-@erase "$(INTDIR)\lalr.obj"
	-@erase "$(INTDIR)\lex.obj"
	-@erase "$(INTDIR)\LR0.obj"
	-@erase "$(INTDIR)\main.obj"
	-@erase "$(INTDIR)\nullable.obj"
	-@erase "$(INTDIR)\output.obj"
	-@erase "$(INTDIR)\print.obj"
	-@erase "$(INTDIR)\print_graph.obj"
	-@erase "$(INTDIR)\reader.obj"
	-@erase "$(INTDIR)\reduce.obj"
	-@erase "$(INTDIR)\state.obj"
	-@erase "$(INTDIR)\symtab.obj"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\vcg.obj"
	-@erase "$(INTDIR)\warshall.obj"
	-@erase "$(OUTDIR)\Bison.exe"

CPP_PROJ=/nologo /ML /w /W0 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /U "_MSC_VER" /Fp"$(INTDIR)\Bison.pch" /YX /FD /c /I. /I.. /I..\intl /I..\lib
	
LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib ..\lib\libbison.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\Bison.pdb" /machine:I386 /out:"$(OUTDIR)\Bison.exe" 
LINK32_OBJS= \
	"$(INTDIR)\closure.obj" \
	"$(INTDIR)\complain.obj" \
	"$(INTDIR)\conflicts.obj" \
	"$(INTDIR)\derives.obj" \
	"$(INTDIR)\files.obj" \
	"$(INTDIR)\getargs.obj" \
	"$(INTDIR)\gram.obj" \
	"$(INTDIR)\lalr.obj" \
	"$(INTDIR)\lex.obj" \
	"$(INTDIR)\LR0.obj" \
	"$(INTDIR)\main.obj" \
	"$(INTDIR)\nullable.obj" \
	"$(INTDIR)\output.obj" \
	"$(INTDIR)\print.obj" \
	"$(INTDIR)\print_graph.obj" \
	"$(INTDIR)\reader.obj" \
	"$(INTDIR)\reduce.obj" \
	"$(INTDIR)\state.obj" \
	"$(INTDIR)\symtab.obj" \
	"$(INTDIR)\vcg.obj" \
	"$(INTDIR)\warshall.obj"

"$(OUTDIR)\Bison.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

SOURCE=.\closure.c

"$(INTDIR)\closure.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\complain.c

"$(INTDIR)\complain.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\conflicts.c

"$(INTDIR)\conflicts.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\derives.c

"$(INTDIR)\derives.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\files.c

"$(INTDIR)\files.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\getargs.c

"$(INTDIR)\getargs.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\gram.c

"$(INTDIR)\gram.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\lalr.c

"$(INTDIR)\lalr.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\lex.c

"$(INTDIR)\lex.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\LR0.c

"$(INTDIR)\LR0.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\main.c

"$(INTDIR)\main.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\nullable.c

"$(INTDIR)\nullable.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\output.c

"$(INTDIR)\output.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\print.c

"$(INTDIR)\print.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\print_graph.c

"$(INTDIR)\print_graph.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\reader.c

"$(INTDIR)\reader.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\reduce.c

"$(INTDIR)\reduce.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\state.c

"$(INTDIR)\state.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\symtab.c

"$(INTDIR)\symtab.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\vcg.c

"$(INTDIR)\vcg.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\warshall.c

"$(INTDIR)\warshall.obj" : $(SOURCE) "$(INTDIR)"

